curl --request POST \
--url https://api-sandbox.circle.com/v1/credit/cryptoRepayment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"amount": {
"amount": "25000.00",
"currency": "USD"
}
}
'import requests
url = "https://api-sandbox.circle.com/v1/credit/cryptoRepayment"
payload = {
"idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
"amount": {
"amount": "25000.00",
"currency": "USD"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
idempotencyKey: 'ba943ff1-ca16-49b2-ba55-1057e70ca5c7',
amount: {amount: '25000.00', currency: 'USD'}
})
};
fetch('https://api-sandbox.circle.com/v1/credit/cryptoRepayment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "e5f6a7b8-9012-3456-efab-345678901234",
"amount": {
"amount": "25000.00",
"currency": "USD"
},
"status": "pending",
"createDate": "2024-03-25T10:00:00.000Z",
"updateDate": "2024-03-25T10:00:00.000Z"
}
}{
"code": 400,
"message": "Bad request."
}{
"code": 401,
"message": "Malformed authorization."
}{
"code": 409,
"message": "Conflicts with another request."
}Initiate a crypto repayment
Initiates a crypto repayment for a credit transfer.
The requested amount is capped at the outstanding balance. If the minimum of the requested amount and outstanding balance is zero, the request will be rejected with HTTP 400.
Note: This endpoint is only available for Line of Credit products. Crypto repayment is not supported for Settlement Advance products.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Request body for initiating a crypto repayment on a credit transfer.
Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.
"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"
The amount and currency to repay. Currency must match the credit line currency. The requested amount is capped at the outstanding balance.
Show child attributes
Show child attributes
Response
Successfully initiated a crypto repayment.
A crypto repayment initiated on a credit transfer.
Show child attributes
Show child attributes
Was this page helpful?